using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;

namespace CarCenterContracts.StoragesContracts
{
    public interface IPreSaleWorkStorage
    {
        List<PreSaleWorkViewModel> GetFullList();

        List<PreSaleWorkViewModel> GetFilteredList(PreSaleWorkSearchModel model);

        PreSaleWorkViewModel? GetElement(PreSaleWorkSearchModel model);

        PreSaleWorkViewModel? Insert(PreSaleWorkBindingModel model);

        PreSaleWorkViewModel? Update(PreSaleWorkBindingModel model);

        PreSaleWorkViewModel? Delete(PreSaleWorkBindingModel model);
    }
}
